
.. index::
   pair: ansible-playbook ; command


.. _ansible_playbook_command:

===================================
Ansible playbook command examples
===================================





ansible-playbook --version
============================

::

    (ansible-yj-NDwFs) pvergain@uc026:/mnt/c/projects_id3/logtransactions_colombie/django-www$ ansible-playbook --version

::

	ansible-playbook 2.4.3.0
	  config file = /etc/ansible/ansible.cfg
	  configured module search path = ['/home/pvergain/.ansible/plugins/modules', '/usr/share/ansible/plugins/modules']
	  ansible python module location = /home/pvergain/.local/share/virtualenvs/ansible-yj-NDwFs/lib/python3.6/site-packages/ansible
	  executable location = /home/pvergain/.local/share/virtualenvs/ansible-yj-NDwFs/bin/ansible-playbook
	  python version = 3.6.3 (default, Oct  6 2017, 08:44:35) [GCC 5.4.0 20160609]



Prerequisite
=============

roles/base
---------------

::

    (ansible-yj-NDwFs) $ tree roles/base

::

	roles/base
	└── tasks
		└── main.yml


ansible-playbook --help
=========================

::

   - (ansible-yj-NDwFs) $ ansible-playbook --help


::

    Usage: ansible-playbook [options] playbook.yml [playbook2 ...]

    Runs Ansible playbooks, executing the defined tasks on the targeted hosts.

    Options:
      --ask-vault-pass      ask for vault password
      -C, --check           don't make any changes; instead, try to predict some
                            of the changes that may occur
      -D, --diff            when changing (small) files and templates, show the
                            differences in those files; works great with --check
      -e EXTRA_VARS, --extra-vars=EXTRA_VARS
                            set additional variables as key=value or YAML/JSON, if
                            filename prepend with @
      --flush-cache         clear the fact cache
      --force-handlers      run handlers even if a task fails
      -f FORKS, --forks=FORKS
                            specify number of parallel processes to use
                            (default=5)
      -h, --help            show this help message and exit
      -i INVENTORY, --inventory=INVENTORY, --inventory-file=INVENTORY
                            specify inventory host path or comma separated host
                            list. --inventory-file is deprecated
      -l SUBSET, --limit=SUBSET
                            further limit selected hosts to an additional pattern
      --list-hosts          outputs a list of matching hosts; does not execute
                       anything else
      --list-tags           list all available tags
      --list-tasks          list all tasks that would be executed
      -M MODULE_PATH, --module-path=MODULE_PATH
                            prepend colon-separated path(s) to module library
                            (default=['/home/pvergain/.ansible/plugins/modules',
                            '/usr/share/ansible/plugins/modules'])
      --skip-tags=SKIP_TAGS
                            only run plays and tasks whose tags do not match these
                            values
      --start-at-task=START_AT_TASK
                            start the playbook at the task matching this name
      --step                one-step-at-a-time: confirm each task before running
      --syntax-check        perform a syntax check on the playbook, but do not
                            execute it
      -t TAGS, --tags=TAGS  only run plays and tasks tagged with these values
      --vault-id=VAULT_IDS  the vault identity to use
      --vault-password-file=VAULT_PASSWORD_FILES
                            vault password file
      -v, --verbose         verbose mode (-vvv for more, -vvvv to enable
                            connection debugging)
      --version             show program's version number and exit

      Connection Options:
        control as whom and how to connect to hosts

        -k, --ask-pass      ask for connection password
        --private-key=PRIVATE_KEY_FILE, --key-file=PRIVATE_KEY_FILE
                            use this file to authenticate the connection
        -u REMOTE_USER, --user=REMOTE_USER
                        connect as this user (default=None)
        -c CONNECTION, --connection=CONNECTION
                            connection type to use (default=smart)
        -T TIMEOUT, --timeout=TIMEOUT
                            override the connection timeout in seconds
                            (default=10)
        --ssh-common-args=SSH_COMMON_ARGS
                            specify common arguments to pass to sftp/scp/ssh (e.g.
                            ProxyCommand)
        --sftp-extra-args=SFTP_EXTRA_ARGS
                            specify extra arguments to pass to sftp only (e.g. -f,
                            -l)
        --scp-extra-args=SCP_EXTRA_ARGS
                            specify extra arguments to pass to scp only (e.g. -l)
        --ssh-extra-args=SSH_EXTRA_ARGS
                            specify extra arguments to pass to ssh only (e.g. -R)

      Privilege Escalation Options:
        control how and which user you become as on target hosts

        -s, --sudo          run operations with sudo (nopasswd) (deprecated, use
                            become)
        -U SUDO_USER, --sudo-user=SUDO_USER
                            desired sudo user (default=root) (deprecated, use
                            become)
        -S, --su            run operations with su (deprecated, use become)
        -R SU_USER, --su-user=SU_USER
                            run operations with su as this user (default=None)
                            (deprecated, use become)
        -b, --become        run operations with become (does not imply password
                            prompting)
        --become-method=BECOME_METHOD
                            privilege escalation method to use (default=sudo),
                            valid choices: [ sudo | su | pbrun | pfexec | doas |
                            dzdo | ksu | runas | pmrun ]
        --become-user=BECOME_USER
                            run operations as this user (default=root)
        --ask-sudo-pass     ask for sudo password (deprecated, use become)
        --ask-su-pass       ask for su password (deprecated, use become)
        -K, --ask-become-pass
                            ask for privilege escalation password



ansible-playbook --syntax-check  -i inventory/hosts playbook.yml
===================================================================

::

    ansible-playbook --syntax-check  -i inventory/hosts playbook.yml


::

    ansible-playbook --syntax-check -vvv -i inventory/hosts playbook.yml


::

    ansible-playbook -vvv -i inventory/hosts --list-hosts playbook.yml



ansible-playbook -vvv -i inventory/hosts -l staging playbook.yml (first call)
===============================================================================


::

    ansible-playbook -i inventory/hosts -l staging playbook.yml


::

     ____________
    < PLAY RECAP >
     ------------
            \   ^__^
             \  (oo)\_______
                (__)\       )\/\
                    ||----w |
                    ||     ||

    staging: ok=8    changed=4    unreachable=0    failed=0



ansible-playbook -vvv -i inventory/hosts -l staging playbook.yml (second call)
================================================================================



::

    ansible-playbook -i inventory/hosts -l staging playbook.yml


::

    __________
    < PLAY RECAP >
     ------------
            \   ^__^
             \  (oo)\_______
                (__)\       )\/\
                    ||----w |
                    ||     ||

    staging: ok=8    changed=0    unreachable=0    failed=0
